pydo.apps.create_rollback()

Generated on 3 Aug 2026 from pydo version v0.40.0

Usage

client.apps.create_rollback(
    app_id="4f6c71e2-1e90-4762-9fee-6cc4a0a9f2cf",
    body={
        "deployment_id": "3aa4d20e-5527-4c00-b496-601fbd22520a",
        "skip_pin": False,
    },
)
Returns JSONRaises HttpResponseError

Description

Rollback an app to a previous deployment. A new deployment will be created to perform the rollback. The app will be pinned to the rollback deployment preventing any new deployments from being created, either manually or through Auto Deploy on Push webhooks. To resume deployments, the rollback must be either committed or reverted.

It is recommended to use the Validate App Rollback endpoint to double check if the rollback is valid and if there are any warnings.

Parameters

app_id string required

The app ID

deployment_id string optional

Example: 3aa4d20e-5527-4c00-b496-601fbd22520a

The ID of the deployment to rollback to.

skip_pin boolean optional

Example: False

Whether to skip pinning the rollback deployment. If false, the rollback deployment will be pinned and any new deployments including Auto Deploy on Push hooks will be disabled until the rollback is either manually committed or reverted via the CommitAppRollback or RevertAppRollback endpoints respectively. If true, the rollback will be immediately committed and the app will remain unpinned.

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

create_resp = client.apps.create_rollback(app_id="b6bdf840")

Response Example

Show Response Example
{
  "deployment": {
    "id": "b6bdf840-2854-4f87-a36c-5f231c617c84",
    "spec": {
      "name": "sample-golang",
      "disable_edge_cache": true,
      "disable_email_obfuscation": true,
      "enhanced_threat_control_enabled": true,
      "services": [
        {
          "name": "web",
          "github": {
            "repo": "digitalocean/sample-golang",
            "branch": "branch"
          },
          "run_command": "bin/sample-golang",
          "environment_slug": "go",
          "instance_size_slug": "apps-s-1vcpu-0.5gb",
          "instance_count": 2,
          "routes": [
            {
              "path": "/"
            }
          ]
        }
      ],
      "region": "ams"
    },
    "services": [
      {
        "name": "web",
        "source_commit_hash": "9a4df0b8e161e323bc3cdf1dc71878080fe144fa"
      }
    ],
    "phase_last_updated_at": "0001-01-01T00:00:00Z",
    "created_at": "2020-07-28T18:00:00Z",
    "updated_at": "2020-07-28T18:00:00Z",
    "cause": "commit 9a4df0b pushed to github/digitalocean/sample-golang",
    "progress": {
      "pending_steps": 6,
      "total_steps": 6,
      "steps": [
        {
          "name": "build",
          "status": "PENDING",
          "steps": [
            {
              "name": "initialize",
              "status": "PENDING"
            },
            {
              "name": "components",
              "status": "PENDING",
              "steps": [
                {
                  "name": "web",
                  "status": "PENDING",
                  "component_name": "web",
                  "message_base": "Building service"
                }
              ]
            }
          ]
        },
        {
          "name": "deploy",
          "status": "PENDING",
          "steps": [
            {
              "name": "initialize",
              "status": "PENDING"
            },
            {
              "name": "components",
              "status": "PENDING",
              "steps": [
                {
                  "name": "web",
                  "status": "PENDING",
                  "steps": [
                    {
                      "name": "deploy",
                      "status": "PENDING",
                      "component_name": "web",
                      "message_base": "Deploying service"
                    },
                    {
                      "name": "wait",
                      "status": "PENDING",
                      "component_name": "web",
                      "message_base": "Waiting for service"
                    }
                  ],
                  "component_name": "web"
                }
              ]
            },
            {
              "name": "finalize",
              "status": "PENDING"
            }
          ]
        }
      ]
    },
    "phase": "PENDING_BUILD",
    "tier_slug": "basic"
  }
}

More Information

See /v2/apps/{app_id}/rollback in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.